Package org.silverpeas.components.quickinfo.socialnetwork

## Class SocialQuickInfoComment

- java.lang.Object
- - org.silverpeas.components.quickinfo.socialnetwork.SocialQuickInfoComment

- All Implemented Interfaces:
    `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>`, `org.silverpeas.core.socialnetwork.provider.SocialNewsCommentProvider<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>`

      @Provider
      public class SocialQuickInfoComment
      extends Object
      implements org.silverpeas.core.socialnetwork.provider.SocialNewsCommentProvider<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SocialQuickInfoComment()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>` | `getSocialInformationList​(String userId, Date begin, Date end)` |
    `List<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>` | `getSocialInformationListOfMyContacts​(String myId, List<String> myContactsIds, Date begin, Date end)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SocialQuickInfoComment

          public SocialQuickInfoComment()

  - ### Method Detail

    - #### getSocialInformationList

          public List<org.silverpeas.core.comment.socialnetwork.SocialInformationComment> getSocialInformationList​(String userId,
                                                                                                                   Date begin,
                                                                                                                   Date end)

      Specified by:
        `getSocialInformationList` in interface `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>`

    - #### getSocialInformationListOfMyContacts

          public List<org.silverpeas.core.comment.socialnetwork.SocialInformationComment> getSocialInformationListOfMyContacts​(String myId,
                                                                                                                               List<String> myContactsIds,
                                                                                                                               Date begin,
                                                                                                                               Date end)

      Specified by:
        `getSocialInformationListOfMyContacts` in interface `org.silverpeas.core.socialnetwork.provider.SocialInformationProvider<org.silverpeas.core.comment.socialnetwork.SocialInformationComment>`